﻿using System.Collections.Generic;
using System.Linq.Expressions;
using Luticate2.Auth.Business.Fields.DMEC;
using Luticate2.Auth.Dbo.Result;

namespace Luticate2.Auth.Interfaces
{
    public interface ILuExpressionConverter
    {
        LuResult<Expression> ConvertExpression(Stack<Expression> expressions, Expression baseExpression, LuExpressionConverterOptions options);
    }

    public interface ILuExpressionConverter<TTypeFrom> : ILuExpressionConverter
    {
    }

    public interface ILuExpressionConverter<TTypeFrom, TTypeTo> : ILuExpressionConverter<TTypeFrom>
    {
    }
}